# frozen_string_literal: true

# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Auto-generated by gapic-generator-ruby. DO NOT EDIT!

require "gapic/common"
require "gapic/config"
require "gapic/config/method"

require "google/cloud/billing/budgets/v1beta1/version"

require "google/cloud/billing/budgets/v1beta1/budget_service/credentials"
require "google/cloud/billing/budgets/v1beta1/budget_service/paths"
require "google/cloud/billing/budgets/v1beta1/budget_service/client"

module Google
  module Cloud
    module Billing
      module Budgets
        module V1beta1
          ##
          # BudgetService stores Cloud Billing budgets, which define a
          # budget plan and rules to execute as we track spend against that plan.
          #
          # To load this service and instantiate a client:
          #
          #     require "google/cloud/billing/budgets/v1beta1/budget_service"
          #     client = ::Google::Cloud::Billing::Budgets::V1beta1::BudgetService::Client.new
          #
          module BudgetService
          end
        end
      end
    end
  end
end

helper_path = ::File.join __dir__, "budget_service", "helpers.rb"
require "google/cloud/billing/budgets/v1beta1/budget_service/helpers" if ::File.file? helper_path
